﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;


    public class Wb1x2Recipe :
        RecipeFamily
    {
        public Wb1x2Recipe()
        {
            this.Initialize(Localizer.DoStr("1x2 Wooden Bracers"), typeof(Wb1x2Recipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "1x2 Wooden Bracers",
                    Localizer.DoStr("1x2 Wooden Bracers"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 2, typeof(LoggingSkill)),    
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<Wb1x2Item>(1),  
    
                    })
            };
            this.ExperienceOnCraft = 0.5f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(30, typeof(LoggingSkill), typeof(Wb1x2Recipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(Wb1x2Recipe), this.UILink(), 0.15f, typeof(LoggingSkill));     
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
	    public class Wb1x3Recipe :
        RecipeFamily
    {
        public Wb1x3Recipe()
        {
            this.Initialize(Localizer.DoStr("1x3 Wooden Bracers"), typeof(Wb1x3Recipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "1x3 Wooden Bracers",
                    Localizer.DoStr("1x3 Wooden Bracers"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 3, typeof(LoggingSkill)),    
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<Wb1x3Item>(1),  
    
                    })
            };
            this.ExperienceOnCraft = 0.5f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(30, typeof(LoggingSkill), typeof(Wb1x3Recipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(Wb1x3Recipe), this.UILink(), 0.15f, typeof(LoggingSkill));     
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
	    public class Wb1x5Recipe :
        RecipeFamily
    {
        public Wb1x5Recipe()
        {
            this.Initialize(Localizer.DoStr("1x5 Wooden Bracers"), typeof(Wb1x5Recipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "1x5 Wooden Bracers",
                    Localizer.DoStr("1x5 Wooden Bracers"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 3, typeof(LoggingSkill)),    
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<Wb1x5Item>(1),  
    
                    })
            };
            this.ExperienceOnCraft = 0.5f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(30, typeof(LoggingSkill), typeof(Wb1x5Recipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(Wb1x5Recipe), this.UILink(), 0.15f, typeof(LoggingSkill));     
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
	    public class Wb3x3Recipe :
        RecipeFamily
    {
        public Wb3x3Recipe()
        {
            this.Initialize(Localizer.DoStr("3x3 Wooden Bracers"), typeof(Wb3x3Recipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "3x3 Wooden Bracers",
                    Localizer.DoStr("3x3 Wooden Bracers"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 6, typeof(LoggingSkill)),    
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<Wb3x3Item>(1),  
    
                    })
            };
            this.ExperienceOnCraft = 0.5f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(30, typeof(LoggingSkill), typeof(Wb3x3Recipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(Wb3x3Recipe), this.UILink(), 0.15f, typeof(LoggingSkill));     
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
	    public class Wb3x5Recipe :
        RecipeFamily
    {
        public Wb3x5Recipe()
        {
            this.Initialize(Localizer.DoStr("3x5 Wooden Bracers"), typeof(Wb3x5Recipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "3x5 Wooden Bracers",
                    Localizer.DoStr("3x5 Wooden Bracers"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 6, typeof(LoggingSkill)),    
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<Wb3x5Item>(1),  
    
                    })
            };
            this.ExperienceOnCraft = 0.5f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(30, typeof(LoggingSkill), typeof(Wb3x5Recipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(Wb3x5Recipe), this.UILink(), 0.15f, typeof(LoggingSkill));     
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
}
